### Function

# Foundry path_collapse

#### Declaration [src]

    char*
    foundry_path_collapse (
      const char* path
    )

#### Description [src]

This function will collapse a path that starts with the users home directory into a shorthand notation using ~/ for the home directory.

If the path does not have the home directory as a prefix, it will simply return a copy of `path`.

#### Parameters

`path`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `char*`

A new path, possibly collapsed.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.